"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const inGFW = require("in-gfw");
const path = require("path");
const get_is_python_installed_1 = require("./utils/get-is-python-installed");
const pythonMirror = process.env.npm_config_python_mirror
    || process.env.PYTHON_MIRROR
    || (inGFW.osSync() ? 'https://npm.taobao.org/mirrors/python' : 'https://www.python.org/ftp/python');
// To implement
exports.IS_BUILD_TOOLS_INSTALLED = false;
exports.OFFLINE_PATH = process.env.npm_config_offline_installers;
exports.IS_DRY_RUN = !!process.env.npm_config_dry_run_only;
exports.INSTALLED_PYTHON_VERSION = get_is_python_installed_1.getIsPythonInstalled();
exports.IS_PYTHON_INSTALLED = !!exports.INSTALLED_PYTHON_VERSION;
exports.PYTHON = process.arch === 'x64'
    ? {
        installerName: 'python-2.7.14.amd64.msi',
        installerUrl: pythonMirror.replace(/\/*$/, '/2.7.14/python-2.7.14.amd64.msi'),
        targetName: 'python27',
        logName: 'python-log.txt'
    } : {
    installerName: 'python-2.7.14.msi',
    installerUrl: pythonMirror.replace(/\/*$/, '/2.7.14/python-2.7.14.msi'),
    targetName: 'python27',
    logName: 'python-log.txt'
};
exports.BUILD_TOOLS = process.env.npm_config_vs2017
    ? {
        installerName: 'vs_BuildTools.exe',
        installerUrl: 'https://download.visualstudio.microsoft.com/download/pr/11503713/e64d79b40219aea618ce2fe10ebd5f0d/vs_BuildTools.exe',
        logName: null,
        version: 2017
    } : {
    installerName: 'BuildTools_Full.exe',
    installerUrl: 'https://download.microsoft.com/download/5/f/7/5f7acaeb-8363-451f-9425-68a90f98b238/visualcppbuildtools_full.exe',
    logName: 'build-tools-log.txt',
    version: 2015
};
exports.installerScriptPath = exports.IS_DRY_RUN
    ? path.join(__dirname, '..', 'ps1', 'dry-run.ps1')
    : path.join(__dirname, '..', 'ps1', 'launch-installer.ps1');
//# sourceMappingURL=constants.js.map