"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.shouldLog = !process.env.npm_config_disable_logging;
/**
 * Log, unless logging is disabled. Parameters identical with console.log.
 */
function log(...args) {
    if (exports.shouldLog) {
        console.log.apply(this, args);
    }
}
exports.log = log;
/**
 * Warn, unless logging is disabled. Parameters identical with console.error.
 */
function warn(...args) {
    if (exports.shouldLog) {
        console.warn.apply(this, args);
    }
}
exports.warn = warn;
/**
 * Error, unless logging is disabled. Parameters identical with console.error.
 */
function error(...args) {
    if (exports.shouldLog) {
        console.error.apply(this, args);
    }
}
exports.error = error;
//# sourceMappingURL=logging.js.map