"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = require("chalk");
const aquire_installers_1 = require("./aquire-installers");
const constants_1 = require("./constants");
const environment_1 = require("./environment");
const install_1 = require("./install");
const logging_1 = require("./logging");
function main() {
    if (constants_1.IS_DRY_RUN) {
        logging_1.log(chalk_1.default.bold.green(`Dry run: Not actually doing anything.`));
    }
    // The dumbest callbacks. All other methods resulted
    // in stacks that we're too deep and errored out on some
    // machines.
    aquire_installers_1.aquireInstallers(() => {
        install_1.install((variables) => {
            environment_1.setEnvironment(variables)
                .then(() => process.exit(0))
                .catch(() => process.exit(1));
        });
    })
        .catch(console.error);
}
main();
//# sourceMappingURL=start.js.map