"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const child_process_1 = require("child_process");
/**
 * Starts a child process using the provided executable
 *
 * @param fileName - Path to the executable to start
 */
function executeChildProcess(fileName, args) {
    return new Promise((resolve, reject) => {
        const child = child_process_1.spawn(fileName, args);
        child.on('exit', (code) => {
            if (code !== 0) {
                return reject(new Error(fileName + ' exited with code: ' + code));
            }
            return resolve();
        });
        child.stdin.end();
    });
}
exports.executeChildProcess = executeChildProcess;
//# sourceMappingURL=execute-child-process.js.map