"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const constants_1 = require("../constants");
const get_work_dir_1 = require("./get-work-dir");
/**
 * Ensures that %USERPROFILE%/.windows-build-tools exists
 * and returns the path to it
 *
 * @returns {Object} - Object containing path and fileName of installer
 */
function getBuildToolsInstallerPath() {
    const directory = get_work_dir_1.getWorkDirectory();
    return {
        path: path.join(directory, constants_1.BUILD_TOOLS.installerName),
        fileName: constants_1.BUILD_TOOLS.installerName,
        url: constants_1.BUILD_TOOLS.installerUrl,
        logPath: constants_1.BUILD_TOOLS.logName ? path.join(directory, constants_1.BUILD_TOOLS.logName) : null,
        directory
    };
}
exports.getBuildToolsInstallerPath = getBuildToolsInstallerPath;
//# sourceMappingURL=get-build-tools-installer-path.js.map