"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const child_process_1 = require("child_process");
let _isPythonInstalled;
function getIsPythonInstalled() {
    if (_isPythonInstalled !== undefined)
        return _isPythonInstalled;
    try {
        const options = { windowsHide: true, stdio: null };
        const { output } = child_process_1.spawnSync('python', ['-V'], options);
        const version = output.toString().trim().replace(/,/g, '');
        if (version && version.includes(' 2.')) {
            return _isPythonInstalled = version;
        }
        else {
            return _isPythonInstalled = null;
        }
    }
    catch (error) {
        return _isPythonInstalled = null;
    }
}
exports.getIsPythonInstalled = getIsPythonInstalled;
//# sourceMappingURL=get-is-python-installed.js.map