"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs-extra");
const path = require("path");
/**
 * Ensures that %USERPROFILE%/.windows-build-tools exists
 * and returns the path to it
 *
 * @returns {string} - Path to windows-build-tools working dir
 */
function getWorkDirectory() {
    const homeDir = process.env.USERPROFILE || require('os').homedir();
    const workDir = path.join(homeDir, '.windows-build-tools');
    try {
        fs.ensureDirSync(workDir);
        return workDir;
    }
    catch (error) {
        console.log(error);
    }
}
exports.getWorkDirectory = getWorkDirectory;
//# sourceMappingURL=get-work-dir.js.map